package gestione_tessile_con_liste;

public class Fornitore {
	
	private static int codiceProgressivo=1;
	
	private int codice;
	private String denominazione;
	private String citta;
	private String email;
	
	public Fornitore(){
		this("","","");
	}
	
	public Fornitore(String denominazione, String citta, String email){
		this.codice = codiceProgressivo++;
		this.denominazione = denominazione;
		this.citta = citta;
		this.email = email;
	}
	
	public int getCodice(){
		return codice;
	}
	
	public String getDenominazione(){
		return denominazione;
	}
	
	public String getCitta(){
		return citta;
	}
	
	public String getEmail(){
		return email;
	}
	
	public String toString(){
		String s = "";
		s += "Codice: " + codice + "\n";
		s += "Denominazione: " + denominazione + "\n";
		s += "Citt: " + citta + "\n";
		s += "Email: " + email + "\n\n";
		return s;
	}

}
