package gestione_tessile_con_liste;

public class DatiMateriali {
	
	private int numMaterialiAbbigliamento;
	private int numMaterialiArredamento;
	
	public DatiMateriali(){
		this(0,0);
	}
	
	public DatiMateriali(int numAbbigliamento, int numArredamento){
		this.numMaterialiAbbigliamento = numAbbigliamento;
		this.numMaterialiArredamento = numArredamento;
	}
	
	public int getNumMaterialiAbbigliamento(){
		return numMaterialiAbbigliamento;
	}

	public int getNumMaterialiArredamento(){
		return numMaterialiArredamento;
	}
	
	// metodo di utilit per la classe GestioneTessile (usato nel metodo alternativo al metodo 1))
	public void incrementaAbbigliamento(){
		numMaterialiAbbigliamento++;
	}
	
	// metodo di utilit per la classe GestioneTessile (usato nel metodo alternativo al metodo 1))
	public void incrementaArredamento(){
		numMaterialiArredamento++;
	}
	
	@Override
	public String toString(){
		String s = "";
		s += "Il numero di materiali per l'abbigliamento : " + numMaterialiAbbigliamento +"\n";
		s += "Il numero di materiali per l'arredamento : " + numMaterialiArredamento + "\n";
		return s;
	}
}
